<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('store_issue_requisition_items', function (Blueprint $table) {
            if (Schema::hasColumn('store_issue_requisition_items', 'unit'))
                $table->string('unit')->nullable()->change();

            if (Schema::hasColumn('store_issue_requisition_items', 'unit_price'))
                $table->double('unit_price')->nullable()->change();

            if (Schema::hasColumn('store_issue_requisition_items', 'total'))
                $table->double('total')->nullable()->change();

            if (!Schema::hasColumn('store_issue_requisition_items', 'stock'))
                $table->double('stock')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('store_issue_requisition_items', function (Blueprint $table) {
            //
        });
    }
};
